Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.attachments
Class FileTransferHandler

    java.lang.Object
      javax.swing.TransferHandler
          com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.attachments.FileTransferHandler

All Implemented Interfaces:
  java.io.Serializable

    public class FileTransferHandler

extends javax.swing.TransferHandler

Handles drop of files on the AttachmentPanel

Author:
  emibre
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.TransferHandler
`COPY, COPY_OR_MOVE, MOVE, NONE`

Constructor Summary
`FileTransferHandler(AttachmentTableModel attachmentModel)` Creates a new instance of FileTransferHandler

Method Summary
`boolean` | `canImport(javax.swing.JComponent c, java.awt.datatransfer.DataFlavor[] flavors)`
`int` | `getSourceActions(javax.swing.JComponent c)`
`boolean` | `importData(javax.swing.JComponent c, java.awt.datatransfer.Transferable t)`

Methods inherited from class javax.swing.TransferHandler
`createTransferable, exportAsDrag, exportDone, exportToClipboard, getCopyAction, getCutAction, getPasteAction, getVisualRepresentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileTransferHandler

    public FileTransferHandler(AttachmentTableModel attachmentModel)

  Creates a new instance of FileTransferHandler

Method Detail

### canImport

    public boolean canImport(javax.swing.JComponent c,
                             java.awt.datatransfer.DataFlavor[] flavors)

  Overrides:
    `canImport` in class `javax.swing.TransferHandler`

### importData

    public boolean importData(javax.swing.JComponent c,
                              java.awt.datatransfer.Transferable t)

  Overrides:
    `importData` in class `javax.swing.TransferHandler`

### getSourceActions

    public int getSourceActions(javax.swing.JComponent c)

  Overrides:
    `getSourceActions` in class `javax.swing.TransferHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.